# GSearch - A Python Package for Automated Google Searches and Scraping of Search Results

Introduction: gsearch is a Python package that allows users to perform automated Google searches and extract information from the search results using Python code. The package uses the Playwright and Selectolax libraries to scrape search results and provides a convenient way to automate and extract information from Google searches.

Usage: To use gsearch, first import the "Google" class from the package:

`from gsearch import Google`

Then, create a new instance of the "Google" class and call the "search" method with the desired query:

`results = Google().search("Python tutorial")`

The "search" method returns a list of "GoogleSearchResult" objects, each containing the URL, title, and description of a search result. To print the search results, you can use the following code:

```
for result in results:
    print(result.url)
    print(result.title)
    print(result.description)
```

Examples: Here is an example of using gsearch to perform a Google search for "Python tutorial" and extract the first 5 search results:

```
from gsearch import Google
results = Google().search("Python tutorial")
for result in results:
    print(result.url)
    print(result.title)
    print(result.description)
    print()
```

This will output:

```
https://docs.python.org/3/tutorial/
The Python Tutorial — Python 3.11.3 documentation
This tutorial introduces the reader informally to the basic concepts and features of the Python language and system. It helps
to have a Python interpreter ...

https://www.w3schools.com/python/
Python Tutorial
Learn by examples! This tutorial supplements all explanations with clarifying examples. See All Python Examples. Python Quiz.
Test your Python skills with a ...
```

Conclusion: gsearch is a powerful Python package that makes it easy to automate Google searches and extract information from the search results. Whether you need to perform a one-time search or automate a search process, gsearch is a great tool to have in your Python toolbox.
